#
#*===================================================================
#*
#* Licensed Materials - Property of IBM
#*
#* CA12
#*
#* (c) Copyright IBM Corp. 2014  All Rights Reserved
#*
#* US Government Users Restricted Rights - Use, duplication or
#* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#*
#*===================================================================
#
import subprocess
import maestro
import os
import logging
import gettext
import sys

logger = logging.getLogger('cicsapp/install.py') 
maestro.install_locale('locale')

installDir = maestro.parms['installDir']
subprocess.call(['mkdir', installDir])

if not 'CICSAPP' in maestro.node['parts']:
    maestro.node['parts']['CICSAPP'] = {}
maestro.node['parts']['CICSAPP']['installDir'] = installDir
maestro.node['parts']['CICSAPP']['platformHost'] = maestro.parms['platformHost']
maestro.node['parts']['CICSAPP']['platformPort'] = maestro.parms['platformPort']
maestro.node['parts']['CICSAPP']['cicsPlex'] = maestro.parms['cicsPlex']
maestro.node['parts']['CICSAPP']['userId'] = maestro.parms['userId']
maestro.node['parts']['CICSAPP']['password'] = maestro.parms['password']

maestro.install_scripts('scripts')
